/**
 * This file is part of the MedSafe application which is commercial software created by MedVision360 B.V.
 * The source code is proprietary and confidential.
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited.
 *
 * Copyright (c) by MedVision360 B.V. All rights reserved.
 *
 * For the application name: io.medrecord.medsafe
 */
import { HttpClient } from '@angular/common/http';
import { UserRole } from '../constants/user-role';
import { TranslateService } from '@ngx-translate/core';
export declare class LoginService {
    private http;
    private tranlateService;
    static tokenRenewUrl: string;
    static logoutUrl: string;
    constructor(http: HttpClient, tranlateService: TranslateService);
    loginByPasswordApiRequest(email: any, password: any): import("rxjs").Observable<Object>;
    loginByGoogleApiRequest(idToken: string, roles: UserRole[]): import("rxjs").Observable<Object>;
    tokenValidateApiRequest(): import("rxjs").Observable<Object>;
    tokenRenewApiRequest(refreshToken: string): import("rxjs").Observable<Object>;
    verificationPhoneCodeApiRequest(): import("rxjs").Observable<Object>;
    verificationPhoneCodeCheckApiRequest(code: string): import("rxjs").Observable<Object>;
    verificationPhoneInitApiRequest(phone: string): import("rxjs").Observable<Object>;
    verificationPhoneSaveApiRequest(phone: string, code: string): import("rxjs").Observable<Object>;
    logoutApiRequest(): import("rxjs").Observable<Object>;
}
